Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j
Class MarkerManager

    java.lang.Object
      org.apache.logging.log4j.MarkerManager

    public final class MarkerManager

extends Object

Applications create Markers by using the Marker Manager. All Markers created by this Manager are immutable.

Nested Class Summary
`static class` | `MarkerManager.Log4jMarker` Consider this class private, it is only public to satisfy Jackson for XML and JSON IO.

Method Summary
`static void` | `clear()` Clears all markers.
`static Marker` | `getMarker(String name)` Retrieve a Marker or create a Marker that has no parent.
`static Marker` | `getMarker(String name, Marker parent)` Deprecated. Use the Marker add or set methods to add parent Markers. Will be removed by final GA release.
`static Marker` | `getMarker(String name, String parent)` Deprecated. Use the Marker add or set methods to add parent Markers. Will be removed by final GA release.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clear

    public static void clear()

  Clears all markers.

### getMarker

    public static Marker getMarker(String name)

  Retrieve a Marker or create a Marker that has no parent.

  Parameters:
    `name` - The name of the Marker.
  Returns:
    The Marker with the specified name.
  Throws:
    `IllegalArgumentException` - if the argument is `null`

### getMarker

    @Deprecated
    public static Marker getMarker(String name,
                                              String parent)

  Deprecated. Use the Marker add or set methods to add parent Markers. Will be removed by final GA release.

  Retrieves or creates a Marker with the specified parent. The parent must have been previously created.

  Parameters:
    `name` - The name of the Marker.
    `parent` - The name of the parent Marker.
  Returns:
    The Marker with the specified name.
  Throws:
    `IllegalArgumentException` - if the parent Marker does not exist.

### getMarker

    @Deprecated
    public static Marker getMarker(String name,
                                              Marker parent)

  Deprecated. Use the Marker add or set methods to add parent Markers. Will be removed by final GA release.

  Retrieves or creates a Marker with the specified parent.

  Parameters:
    `name` - The name of the Marker.
    `parent` - The parent Marker.
  Returns:
    The Marker with the specified name.
  Throws:
    `IllegalArgumentException` - if any argument is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.